<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<artifactId>safe-campus-bbs</artifactId>
		<groupId>com.tangguo</groupId>
		<version>3.8.5</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<packaging>jar</packaging>
	<artifactId>safe-campus-admin</artifactId>
	
	<description>web服务入口</description>
	
	<dependencies>
		<!-- 核心模块-->
		<dependency>
			<groupId>com.tangguo</groupId>
			<artifactId>safe-campus-framework</artifactId>
		</dependency>
		
		<!-- 定时任务-->
		<dependency>
			<groupId>com.tangguo</groupId>
			<artifactId>safe-campus-quartz</artifactId>
		</dependency>
		
		<!-- 代码生成-->
		<dependency>
			<groupId>com.tangguo</groupId>
			<artifactId>safe-campus-generator</artifactId>
		</dependency>
		
		<!-- 轻享模块 -->
		<dependency>
			<groupId>com.tangguo</groupId>
			<artifactId>safe-campus-moment</artifactId>
		</dependency>
		
		<!-- 积分模块 -->
		<dependency>
			<groupId>com.tangguo</groupId>
			<artifactId>safe-campus-points</artifactId>
		</dependency>
	</dependencies>
	
	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<version>2.1.1.RELEASE</version>
				<!-- 解决打包无法找到启动类，并且未包含jar -->
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<version>3.1.0</version>
				<configuration>
					<failOnMissingWebXml>false</failOnMissingWebXml>
					<warName>${project.artifactId}</warName>
				</configuration>
			</plugin>
		</plugins>
		<finalName>${project.artifactId}</finalName>
	</build>

</project>
